LayoutType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum LayoutType

- java.lang.Object
- - java.lang.Enum<LayoutType>
  - - tv.amwa.maj.enumeration.LayoutType

- All Implemented Interfaces:
    Serializable, Comparable<LayoutType>, MediaEnumerationValue

      public enum LayoutType
      extends Enum<LayoutType>
      implements MediaEnumerationValue

  Specifies whether all the data for a complete sample is in one frame or is split into more than one field.

  Original C name: `aafFrameLayout_e`

  See Also:
    `PictureDescriptor.getFrameLayout()`, `TypeDefinitions.LayoutType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FullFrame` A progressive lattice from top to bottom, stored in progressive line order 1,2,3,4,5,6...
    `MixedFields` An interlaced lattice as for `SeparateFields` above, stored as a single matrix of interleaved lines 1,2,3,4,5,6,...
    `OneField` An interlaced lattice as for `SeparateFields`, except that only one field is scanned and retained in the stored data, as 1,3,5,...
    `SegmentedFrame` An interlaced lattice divided into two fields.
    `SeparateFields` An interlaced lattice divided into two fields, stored as two fields 1,3,5,...

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static LayoutType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LayoutType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### FullFrame

          public static final LayoutType FullFrame

      A progressive lattice from top to bottom, stored in progressive line order 1,2,3,4,5,6... The duration of a sampled rectangle is a frame.

    - #### SeparateFields

          public static final LayoutType SeparateFields

      An interlaced lattice divided into two fields, stored as two fields 1,3,5,... and 2,4,6... Field 1 scans alternate lines from top to bottom, field 2 scans the intervening lines. The second field is scanned at a later time than the first field (one field later). Examples: NTSC, SMPTE 125M. The duration of a sampled rectangle is a field.

    - #### OneField

          public static final LayoutType OneField

      An interlaced lattice as for `SeparateFields`, except that only one field is scanned and retained in the stored data, as 1,3,5,... or 2,4,6,... or (1+2),(3+4),(5+6), ... For display, the second field is derived by line replication or interpolation. There are no examples of one field in broadcast use; however, this type of sub-sampling is often used as a simple compression for index frames. The duration of a sampled rectangle is a frame.

    - #### MixedFields

          public static final LayoutType MixedFields

      An interlaced lattice as for `SeparateFields` above, stored as a single matrix of interleaved lines 1,2,3,4,5,6,... It is not common to use mixed fields in broadcast; however, intermediate in-memory data structures sometimes use this format. The duration of a sampled rectangle is a frame.

    - #### SegmentedFrame

          public static final LayoutType SegmentedFrame

      An interlaced lattice divided into two fields. Field 1 scans alternate lines from top to bottom, field 2 scans the intervening lines. The lines are stored as two fields 1,3,5,... 2,4,6,... The two fields are taken from a single scan of the incoming image - i.e., they are coincident in time, except for the effects of shutter angle. Example: "1080P24 SF". The duration of a sampled rectangle is a field.

  - ### Method Detail

    - #### values

          public static LayoutType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LayoutType c : LayoutType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LayoutType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.